ChangeSet 1.1371.759.16, 2004/04/23 16:19:14-07:00, baldrick@free.fr

[PATCH] USB usbfs: fix up releaseintf

The semaphore is now taken in the callers.

 devio.c |    2 --
 1 files changed, 2 deletions(-)


 drivers/usb/core/devio.c |    2 --
 1 files changed, 2 deletions(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri May 14 15:33:35 2004
+++ b/drivers/usb/core/devio.c	Fri May 14 15:33:35 2004
@@ -399,7 +399,6 @@
 		return -EINVAL;
 	err = -EINVAL;
 	dev = ps->dev;
-	down(&dev->serialize);
 	/* lock against other changes to driver bindings */
 	down_write(&usb_bus_type.subsys.rwsem);
 	if (test_and_clear_bit(intf, &ps->ifclaimed)) {
@@ -408,7 +407,6 @@
 		err = 0;
 	}
 	up_write(&usb_bus_type.subsys.rwsem);
-	up(&dev->serialize);
 	return err;
 }
 
